nifi-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Matt Burgess <mattyb...@apache.org>
Subject Re: ExecuteGroovyScript processor unable to resolve IOUtils
Date Mon, 23 Apr 2018 19:51:40 GMT
Max,

ExecuteGroovyScript does not (yet) automatically include some Apache
Commons libraries such as commons-lang3, commons-io, commons-net, etc.
However ExecuteScript does already include those, so you can put your
Groovy script in there and not have to @Grab the library.  Of course,
you won't get all the sweet idiomatic Groovyness of
ExecuteGroovyScript, but you won't have to worry about Grapes or the
file system or any other possible issues with @Grab.

Please feel free to file a Jira to add Apache Commons libraries to the
ExecuteGroovyScript NAR, I'd be happy to code up the fix :)

Regards,
Matt


On Sun, Apr 22, 2018 at 10:56 AM, Max Viazovskyi <iluvtechno@gmail.com> wrote:
> Thanks Andrew, I'm using dockerized NiFi 1.6.0. I'm new for groovy and Java,
> could you please guide how should this annotation looks like? I believe
> something like:
> @Grab(group='commons-io', module='commons-io', version='2.7-SNAPSHOT')
> import org.apache.commons.io.IOUtils
>
> Max
>
>
>
> --
> Sent from: http://apache-nifi-developer-list.39713.n7.nabble.com/

Mime
View raw message